Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util.ssi
Class ResponseIncludeWrapper

    java.lang.Object
      |
      +--javax.servlet.ServletResponseWrapper
            |
            +--javax.servlet.http.HttpServletResponseWrapper
                  |
                  +--org.apache.catalina.util.ssi.ResponseIncludeWrapper

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

public final class ResponseIncludeWrapper
extends javax.servlet.http.HttpServletResponseWrapper

A HttpServletResponseWrapper, used from `SsiInclude`

Version:
  $Revision: 1.3 $, $Date: 2001/07/22 20:25:15 $
Author:
  Bip Thelin

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`ResponseIncludeWrapper(javax.servlet.http.HttpServletResponse res, javax.servlet.ServletOutputStream out)` Initialize our wrapper with the current HttpServletResponse and ServletOutputStream.

Method Summary
`javax.servlet.ServletOutputStream` | `getOutputStream()` Return a OutputStream, throws and exception if a printwriter already been returned.
`java.io.PrintWriter` | `getWriter()` Return a printwriter, throws and exception if a OutputStream already been returned.

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus`

Methods inherited from class javax.servlet.ServletResponseWrapper
`flushBuffer, getBufferSize, getCharacterEncoding, getLocale, getResponse, isCommitted, reset, resetBuffer, setBufferSize, setContentLength, setContentType, setLocale, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`flushBuffer, getBufferSize, getCharacterEncoding, getLocale, isCommitted, reset, resetBuffer, setBufferSize, setContentLength, setContentType, setLocale`

Constructor Detail

### ResponseIncludeWrapper

    public ResponseIncludeWrapper(javax.servlet.http.HttpServletResponse res,
                                  javax.servlet.ServletOutputStream out)

  Initialize our wrapper with the current HttpServletResponse and ServletOutputStream.
  Parameters:
    `res` - The HttpServletResponse to use
    `out` - The ServletOutputStream' to use

Method Detail

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Return a printwriter, throws and exception if a OutputStream already been returned.
  Overrides:
    `getWriter` in class `javax.servlet.ServletResponseWrapper`
  Returns:
    a PrintWriter object
  Throws:
    `java.io.IOException` - if the outputstream already been called

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws java.io.IOException

  Return a OutputStream, throws and exception if a printwriter already been returned.
  Overrides:
    `getOutputStream` in class `javax.servlet.ServletResponseWrapper`
  Returns:
    a OutputStream object
  Throws:
    `java.io.IOException` - if the printwriter already been called

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.